Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011863 [DCSS] Bug Report crash always 2019-02-08 15:37 2019-02-14 20:34
Reporter tomtherat View Status public  
Assigned To
Priority normal Resolution open  
Status new   Product Branch 0.23 stable branch
Summary 0011863: Save files corrupted by update to 23.0
Description Updated save files. Game crashes when loading them in 23.0.
Additional Information
Tags No tags attached.
Attached Files txt file icon crash-Sapraf-20190208-093501.txt [^] (2,055 bytes) 2019-02-08 15:37 [Show Content]
? file icon Sapraf.lst [^] (46,458 bytes) 2019-02-08 15:38
? file icon Sapraf.map [^] (5,313 bytes) 2019-02-08 15:38
? file icon Sapraf.cs [^] (1,016,441 bytes) 2019-02-09 00:20
? file icon KuivYco.cs [^] (1,270,542 bytes) 2019-02-09 00:20
? file icon Sapraf_fixed.cs [^] (1,016,053 bytes) 2019-02-09 16:32
? file icon KuivYco_fixed.cs [^] (1,270,412 bytes) 2019-02-09 16:32
? file icon Zaoggulasi.cs [^] (411,295 bytes) 2019-02-13 20:10

- Relationships
has duplicate 0011865resolvedadvil ASSERT(!place_info.is_global()) in 'tags.cc' at line 4209 failed. 

-  Notes
(0033071)
advil (administrator)
2019-02-08 21:40
edited on: 2019-02-08 23:22

Can you post the save (the .cs file)? What version exactly was this upgrading from? I can probably fix the save (~tomorrow). Edit: yes, just to confirm that fixing these saves one-by-one isn't too hard (a general fix my take longer), so if you upload it here I'll upload a fixed version.

(0033074)
tomtherat (reporter)
2019-02-09 00:19

It was from 22.1. Much appreciated if you are able to fix.

Was it something I said?
(0033078)
advil (administrator)
2019-02-09 16:34

Ok, I've uploaded fixed saves for those two games, let me know if you have a problem with them. (I got a save from another mantis report and tested out fixing them.)
(0033081)
tomtherat (reporter)
2019-02-10 16:48

They both work, thanks so much!
(0033086)
advil (administrator)
2019-02-12 16:30

This is fixed in trunk, which will now load these saves; after the tournament is over we'll do a 0.23.1 release that will include this fix. (When the next trunk download builds, that should also be able to load and fix these saves for anyone who encounters this from now on; it's very similar to 0.23.)
(0033092)
The_Fireplace (reporter)
2019-02-13 20:13

Is fixing a save simple? If so, could you share how to do it? I've uploaded my save, Zaoggulasi, which needs to be fixed, but I'd be happy to fix it myself if I knew how.
(0033094)
advil (administrator)
2019-02-14 20:34

The easiest way for someone who's not me to fix it now would be to load it in the current trunk download version: https://crawl.develz.org/trunk/ [^] . This will upgrade the game, but that version of 0.24 is basically 0.23.0 with some bugfixes, so it should be fine to play. If you don't want to upgrade it, my technique is easy enough, but involves rebuilding 0.23 with a save patch, so I'd need to do it (probably could get to it tomorrow).

- Issue History
Date Modified Username Field Change
2019-02-08 15:37 tomtherat New Issue
2019-02-08 15:37 tomtherat File Added: crash-Sapraf-20190208-093501.txt
2019-02-08 15:38 tomtherat File Added: Sapraf.lst
2019-02-08 15:38 tomtherat File Added: Sapraf.map
2019-02-08 21:40 advil Note Added: 0033071
2019-02-08 23:22 advil Note Edited: 0033071
2019-02-09 00:19 tomtherat Note Added: 0033074
2019-02-09 00:20 tomtherat File Added: Sapraf.cs
2019-02-09 00:20 tomtherat File Added: KuivYco.cs
2019-02-09 16:32 advil File Added: Sapraf_fixed.cs
2019-02-09 16:32 advil File Added: KuivYco_fixed.cs
2019-02-09 16:34 advil Note Added: 0033078
2019-02-09 16:36 advil Relationship added has duplicate 0011865
2019-02-10 16:48 tomtherat Note Added: 0033081
2019-02-12 16:30 advil Note Added: 0033086
2019-02-13 20:10 The_Fireplace File Added: Zaoggulasi.cs
2019-02-13 20:13 The_Fireplace Note Added: 0033092
2019-02-14 20:34 advil Note Added: 0033094


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker